package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.AppProductsResponseModel

interface AppProductsInteractor {

    interface View {

        fun onGetAppProductsSucceed(appProductsList: ArrayList<AppProductsResponseModel>)
        fun onGetAppProductsFailed(error: VolleyError)
    }

    interface Presenter {

        fun onGetAppProducts(phone: String)
    }
}